Subject: Re: [PATCH] Build: Scripts/Makefile: Remove Repeated Lines

From: Stephen Rothwell <[email-masked]>
Date: Thu, 15 Feb 2018 16:05:20 +1100

Hi Progyan,

On Thu, 15 Feb 2018 09:50:03 +0530 Progyan Bhattacharya <[email-masked]> wrote:
>
> The last commit I have in here:
> 
> 8396647363e1 (origin/next, next) Add linux-next specific files for 20180206

I don't know where you got that from, as my copy of that commit has
SHA1 417c85c22818aefd973fa957b62fb1fe081404dd (as does the copy on
git.kernel.org).  So you do not have a clean copy of the linux-next tree.

> It was not building properly because of repeated lines in
> scripts/Makefile.kasan

That file is also correct in my next-20180206.

> PS: I have another question, Is use of range expression within case
> statements allowed in Kernel? If not, are we using If-Else ladder for that?

I am not sure if we have a policy on ranges in case labels, but it is
not standard C (well, C11 at least).  If-else ladders are certainly
common.

-- 
Cheers,
Stephen Rothwell